{% extends "admin_base.html" %}


{% block content %}





<div class="row">
  <div class="col-md-6">
    <form method="post" >



      <div class="form-group">


        <h3 for="code">Base station</h3>

        <div class="form-group">
          <label for="sel1">Name</label>
            <input required type="text" name="name" value="{{bs.name}}" class="form-control" id="name">
        </div>
        <label>Address (Street number, street name, suburb, city)</label>
        <input type="text" required name="address" class="form-control" value="{{bs.address.full_name}}" id="address">
      </div>

      <div class="form-group">
            <button class="btn btn-default"  style="border: 2px solid #f4c535;"  type="submit" name="category" id="add-btn"> Update base station
            </button>
        </div>


      </form>

      <a class="btn btn-default filter-btn"  style="border: 2px solid #f4c535;" href="/archive/base-stations/{{bs.key.id()}}">Archive</a>
    </div>


    <div class="col-md-6">
 
<div class="mapouter"><div class="gmap_canvas"><iframe width="600" height="500" id="gmap_canvas" src="https://maps.google.com/maps?q={{bs.address.full_name}}&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe><a href="https://www.crocothemes.net">crocothemes.net;</a></div><style>.mapouter{position:relative;text-align:right;height:500px;width:600px;}.gmap_canvas {overflow:hidden;background:none!important;height:500px;width:600px;}</style></div>


</div>



    
  </div>









  {% endblock %}

  {% block scripts %}

  <script>



    function waitForAuth() {
              if(is_auth == false) {//we want it to match
                console.log("fail")
                setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
                return;
              }
              console.log("success")


            }



  $( document ).ready(function() {


     waitForAuth(); 

     $('#server-msg-div').slideUp("slow");
  

  });






          {% endblock %}

